/* ---------------------------------------------------------------------- */
/*	GLOBAL
/* ---------------------------------------------------------------------- */
:root {
	--redColor: #ED1C24 !important;
	--whiteColor: #FFF !important;
	--blackColor: #59595B !important;
	--blueColor: #025095 !important;
	--yellowColor: #FFF12C !important;
	--grayColor: #DDD !important;
	--greenColor: #198754 !important;
	--bgColor: var(--whiteColor) !important;
	--borderRadius: 20px;
}

body {
	font-family: "Montserrat", sans-serif;
	font-size: 14px;
	color: var(--corPreto) !important;
	background: var(--bgColor);
}

.clear {
	clear: both;
	width: 100%;
	font-size: 1px;
}

img {
	max-width: 100% !important;
}

.whatsapp {
	z-index: 99;
	position: fixed;
	padding: 0px 10px 5px 10px;
	bottom: 10px;
	right: 10px;
	background: var(--greenColor);
	border-radius: 5px;
}

.whatsapp a {
	color: var(--whiteColor) !important;
	text-decoration: none;
	font-size: 20px;
}

ul,
li {
	margin: 0;
	padding: 0;
	list-style: none;
}

.wpp {
	z-index: 999;
	position: fixed;
	top: 100px;
	right: 10px;
	padding: 10px 20px;
	background: var(--greenColor);
	color: var(--whiteColor);
	text-decoration: none;
	font-size: 15px;
	border-radius: var(--borderRadius);
}

.wpp:hover {
	color: var(--whiteColor);
}

.wpp img {
	height: 30px;
	filter: brightness(0) invert(1);
}

/* Definir o elemento que irá piscar */
.elemento-piscando {
	animation: piscar 1.5s infinite;
}

/* Definir a animação */
@keyframes piscar {
	0% {
		opacity: 0;
	}

	50% {
		opacity: 1;
	}

	100% {
		opacity: 0;
	}
}

/* ---------------------------------------------------------------------- */
/*	desktop
/* ---------------------------------------------------------------------- */
@media (min-width: 991px) {

	header {
		padding-top: 20px;
	}

	header .top {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	header .logo {
		display: flex;
		justify-content: center;
		align-items: center;
		padding-right: 40px;
		width: 32%;
	}

	header .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		width: 18%;
	}

	header .social-medias a {
		color: var(--redColor);
		font-size: 20px;
		font-weight: 600;
	}

	header .opening-hours {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		text-align: center;
		font-weight: 600;
		color: var(--blueColor);
		width: 15%;
	}

	header .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width: 20%;
	}

	header .whatsApp a,
	header .whatsApp span {
		font-weight: 600;
		color: var(--blueColor);
		text-decoration: none;
	}

	header .whatsApp a img {
		height: 25px;
	}

	header .google {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 15%;
	}

	header .google a {
		display: inline-block;
		padding: 5px 10px;
		background: var(--redColor);
		color: var(--whiteColor);
		font-size: 12px !important;
		font-weight: 600;
		text-decoration: none;
		text-align: center;
		border-radius: var(--borderRadius);
	}

	.carousel {
		padding: 20px 0;
		border-bottom: 10px solid var(--blueColor);
	}

	.offers {
		padding: 40px 0;
	}

	.offers h1 {
		display: inline-block;
		padding: 5px 15px;
		font-size: 30px;
		background: var(--yellowColor);
		border-radius: var(--borderRadius);
	}

	.offers .list {
		margin-top: 20px;
	}

	.offers .list li .fence-data {
		border: 1px solid var(--grayColor);
		border-radius: 8px;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
		padding: 20px;
		background: var(--whiteColor);
		transition: transform 0.2s, box-shadow 0.2s;
		text-align: center;
	}

	.offers .list li .fence-data:hover {
		transform: translateY(-5px);
		box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
	}

	.offers .list li img {
		width: 100%;
	}

	.offers .list li h2 {
		font-size: 20px;
	}

	.offers .list li a {
		display: inline-block;
		padding: 10px;
		background: var(--greenColor);
		color: var(--whiteColor);
		border-radius: var(--borderRadius);
		font-weight: 600;
		font-size: 12px;
		text-decoration: none;
	}

	.info {
		position: relative;
		padding-bottom: 50px;
	}

	.wave-container {
		z-index: -1;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 180%;
		overflow: hidden;
		line-height: 0;
	}

	.wave-container svg {
		display: block;
		width: 100%;
		height: 100%;
		transform: rotate(180deg);
	}

	.info .list {
		padding: 40px 0;
		text-align: center;
		color: var(--whiteColor);
		font-size: 20px;
	}

	.info .whatsApp a {
		display: inline-block;
		margin: 20px 0 0 100px;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 25px;
		border-radius: var(--borderRadius);
	}

	.info .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	.balls {
		position: relative;
		display: flex;
		justify-content: space-between;
	}

	.ball.left {
		position: absolute;
		left: -10px;
	}

	.ball {
		border-radius: 50%;
		background: var(--blueColor);
		display: inline-block;
		margin: 10px;
	}

	.ball.start {
		position: absolute;
		top: -40px;
		right: 40%;
	}

	.ball.middle {
		position: absolute;
		top: 60px;
		right: 32%;
	}

	.ball.end {
		position: absolute;
		top: 120px;
		right: 27%;
	}

	.small {
		width: 30px;
		height: 30px;
	}

	.medium {
		width: 60px;
		height: 60px;
	}

	.big {
		width: 100px;
		height: 100px;
	}

	.about {
		position: relative;
		margin-top: 120px;
		padding-left: 20px;
		border-left: 20px solid var(--redColor);
	}

	.about h1 {
		margin-bottom: 20px;
		font-size: 35px;
	}

	.about h2 {
		font-size: 20px;
	}

	.about h3 {
		margin-bottom: 30px;
		font-size: 20px;
		font-weight: 300;
	}

	.about h4 {
		margin-top: 50px;
		margin-bottom: 20px;
		font-size: 20px;
	}

	.about .short {
		width: 50%;
	}

	.about .image {
		position: absolute;
		top: 100px;
		right: 6%;
		width: 35%;
	}

	.fence-image {
		position: relative;
		padding: 30px;
	}

	.fence-image::before {
		content: "";
		position: absolute;
		inset: 0;
		transform: rotate(-3deg);
		z-index: 0;
		border: 10px solid var(--blueColor);
		border-radius: var(--borderRadius);
	}

	.about .whatsApp {
		padding-right: 5%;
		text-align: right;
	}

	.about .whatsApp a {
		display: inline-block;
		margin: 20px 0 0 100px;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 15px;
		border-radius: var(--borderRadius);
	}

	.about .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	footer {
		margin-top: 50px;
		border-top: 10px solid var(--blueColor);
		background: var(--redColor);
		color: var(--whiteColor);
	}

	footer .footer {
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 20px 0;
	}

	footer .logo {
		display: flex;
		justify-content: center;
		align-items: center;
		padding-right: 40px;
		width: 50%;
	}

	footer .footer .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width: 20%;
	}

	footer .footer .whatsApp a,
	footer .footer .whatsApp span {
		font-weight: 600;
		color: var(--whiteColor);
		text-decoration: none;
	}

	footer .footer .whatsApp a img {
		height: 25px;
		filter: brightness(0) invert(1);
	}

	footer .footer .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		width: 20%;
	}

	footer .footer .social-medias a {
		color: var(--whiteColor);
		font-size: 20px;
		font-weight: 600;
	}

}

/* ---------------------------------------------------------------------- */
/*	tablet
/* ---------------------------------------------------------------------- */
@media (min-width: 768px) and (max-width: 990px) {

	header {
		padding-top: 20px;
	}

	header .top {
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-wrap: wrap;
		padding: 20px 0;
	}

	header .logo {
		display: flex;
		justify-content: center;
		margin-bottom: 10px;
		align-items: center;
		width: 100%;
	}

	header .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		margin-bottom: 20px;
		width: 100%;
	}

	header .social-medias a {
		color: var(--redColor);
		font-size: 20px;
		font-weight: 600;
	}

	header .opening-hours {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		text-align: center;
		font-weight: 600;
		color: var(--blueColor);
		width: 50%;
	}

	header .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width: 50%;
	}

	header .whatsApp a,
	header .whatsApp span {
		font-weight: 600;
		color: var(--blueColor);
		text-decoration: none;
	}

	header .whatsApp a img {
		height: 25px;
	}

	header .google {
		display: flex;
		justify-content: center;
		align-items: center;
		margin-top: 20px;
		width: 100%;
	}

	header .google a {
		display: inline-block;
		padding: 5px 10px;
		background: var(--redColor);
		color: var(--whiteColor);
		font-size: 12px !important;
		font-weight: 600;
		text-decoration: none;
		text-align: center;
		border-radius: var(--borderRadius);
	}

	.carousel {
		padding: 20px 0;
		border-bottom: 10px solid var(--blueColor);
	}

	.offers {
		padding: 40px 0;
		text-align: center;
	}

	.offers h1 {
		display: inline-block;
		padding: 5px 15px;
		font-size: 30px;
		background: var(--yellowColor);
		border-radius: var(--borderRadius);
	}

	.offers .list {
		margin-top: 20px;
	}

	.offers .list li .fence-data {
		border: 1px solid var(--grayColor);
		border-radius: 8px;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
		padding: 20px;
		background: var(--whiteColor);
		transition: transform 0.2s, box-shadow 0.2s;
		text-align: center;
	}

	.offers .list li .fence-data:hover {
		transform: translateY(-5px);
		box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
	}

	.offers .list li img {
		width: 100%;
	}

	.offers .list li h2 {
		font-size: 20px;
	}

	.offers .list li a {
		display: inline-block;
		padding: 10px;
		background: var(--greenColor);
		color: var(--whiteColor);
		border-radius: var(--borderRadius);
		font-weight: 600;
		font-size: 12px;
		text-decoration: none;
	}

	.info {
		position: relative;
		padding-bottom: 20px;
		background: var(--blueColor);
	}

	.wave-container {
		display: none;
	}

	.info .list {
		padding: 40px 0;
		text-align: center;
		color: var(--whiteColor);
		font-size: 20px;
	}

	.info .whatsApp a {
		display: inline-block;
		margin: 20px 0 0 100px;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 25px;
		border-radius: var(--borderRadius);
	}

	.info .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	.balls {
		display: none;
	}

	.about {
		position: relative;
		margin-top: 20px;
		padding-left: 20px;
		border-left: 20px solid var(--redColor);
	}

	.about h1 {
		margin-bottom: 20px;
		font-size: 35px;
	}

	.about h2 {
		font-size: 20px;
	}

	.about h3 {
		margin-bottom: 30px;
		font-size: 20px;
		font-weight: 300;
	}

	.about h4 {
		margin-top: 50px;
		margin-bottom: 20px;
		font-size: 20px;
	}

	.about .image {
		margin: 20px 20px 20px 0;
	}

	.fence-image {
		position: relative;
		padding: 30px;
	}

	.fence-image::before {
		content: "";
		position: absolute;
		inset: 0;
		transform: rotate(-3deg);
		z-index: 0;
		border: 10px solid var(--blueColor);
		border-radius: var(--borderRadius);
	}

	.about .whatsApp {
		text-align: center;
	}

	.about .whatsApp a {
		display: inline-block;
		margin: 20px 0;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 15px;
		border-radius: var(--borderRadius);
	}

	.about .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	footer {
		margin-top: 50px;
		border-top: 10px solid var(--blueColor);
		background: var(--redColor);
		color: var(--whiteColor);
	}

	footer .footer {
		padding: 20px 0;
		text-align: center;
	}

	footer .logo {
		padding: 20px;
	}

	footer .footer .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		padding: 20px;
	}

	footer .footer .whatsApp a,
	footer .footer .whatsApp span {
		font-weight: 600;
		color: var(--whiteColor);
		text-decoration: none;
	}

	footer .footer .whatsApp a img {
		height: 25px;
		filter: brightness(0) invert(1);
	}

	footer .footer .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		padding: 20px;
	}

	footer .footer .social-medias a {
		color: var(--whiteColor);
		font-size: 20px;
		font-weight: 600;
	}
}

/* ---------------------------------------------------------------------- */
/*	mobile
/* ---------------------------------------------------------------------- */
@media (max-width: 767px) {

	header {
		padding-top: 20px;
	}

	header .top {
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-wrap: wrap;
		padding: 20px 0;
	}

	header .logo {
		display: flex;
		justify-content: center;
		margin-bottom: 10px;
		align-items: center;
		width: 100%;
	}

	header .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		margin-bottom: 20px;
		width: 100%;
	}

	header .social-medias a {
		color: var(--redColor);
		font-size: 20px;
		font-weight: 600;
	}

	header .opening-hours {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		text-align: center;
		font-weight: 600;
		color: var(--blueColor);
		width: 50%;
	}

	header .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width: 50%;
	}

	header .whatsApp a,
	header .whatsApp span {
		font-weight: 600;
		color: var(--blueColor);
		text-decoration: none;
	}

	header .whatsApp a img {
		height: 25px;
	}

	header .google {
		display: flex;
		justify-content: center;
		align-items: center;
		margin-top: 20px;
		width: 100%;
	}

	header .google a {
		display: inline-block;
		padding: 5px 10px;
		background: var(--redColor);
		color: var(--whiteColor);
		font-size: 12px !important;
		font-weight: 600;
		text-decoration: none;
		text-align: center;
		border-radius: var(--borderRadius);
	}

	.carousel {
		padding: 20px 0;
		border-bottom: 10px solid var(--blueColor);
	}

	.offers {
		padding: 40px 0;
		text-align: center;
	}

	.offers h1 {
		display: inline-block;
		padding: 5px 15px;
		font-size: 30px;
		background: var(--yellowColor);
		border-radius: var(--borderRadius);
	}

	.offers .list {
		margin-top: 20px;
	}

	.offers .list li .fence-data {
		border: 1px solid var(--grayColor);
		border-radius: 8px;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
		padding: 20px;
		background: var(--whiteColor);
		transition: transform 0.2s, box-shadow 0.2s;
		text-align: center;
	}

	.offers .list li .fence-data:hover {
		transform: translateY(-5px);
		box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
	}

	.offers .list li img {
		width: 100%;
	}

	.offers .list li h2 {
		font-size: 20px;
	}

	.offers .list li a {
		display: inline-block;
		padding: 10px;
		background: var(--greenColor);
		color: var(--whiteColor);
		border-radius: var(--borderRadius);
		font-weight: 600;
		font-size: 12px;
		text-decoration: none;
	}

	.info {
		position: relative;
		padding-bottom: 20px;
		background: var(--blueColor);
	}

	.wave-container {
		display: none;
	}

	.info .list {
		padding: 40px 0;
		text-align: center;
		color: var(--whiteColor);
		font-size: 20px;
	}

	.info .whatsApp a {
		display: inline-block;
		margin: 20px 0 0 100px;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 25px;
		border-radius: var(--borderRadius);
	}

	.info .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	.balls {
		display: none;
	}

	.about {
		position: relative;
		margin-top: 20px;
		padding-left: 20px;
		border-left: 20px solid var(--redColor);
	}

	.about h1 {
		margin-bottom: 20px;
		font-size: 35px;
	}

	.about h2 {
		font-size: 20px;
	}

	.about h3 {
		margin-bottom: 30px;
		font-size: 20px;
		font-weight: 300;
	}

	.about h4 {
		margin-top: 50px;
		margin-bottom: 20px;
		font-size: 20px;
	}

	.about .image {
		margin: 20px 20px 20px 0;
	}

	.fence-image {
		position: relative;
		padding: 30px;
	}

	.fence-image::before {
		content: "";
		position: absolute;
		inset: 0;
		transform: rotate(-3deg);
		z-index: 0;
		border: 10px solid var(--blueColor);
		border-radius: var(--borderRadius);
	}

	.about .whatsApp {
		text-align: center;
	}

	.about .whatsApp a {
		display: inline-block;
		margin: 20px 0;
		padding: 10px 25px;
		font-weight: 600;
		background: var(--greenColor);
		color: var(--whiteColor);
		text-decoration: none;
		font-size: 15px;
		border-radius: var(--borderRadius);
	}

	.about .whatsApp a img {
		height: 30px;
		filter: brightness(0) invert(1);
	}

	footer {
		margin-top: 50px;
		border-top: 10px solid var(--blueColor);
		background: var(--redColor);
		color: var(--whiteColor);
	}

	footer .footer {
		padding: 20px 0;
		text-align: center;
	}

	footer .logo {
		padding: 20px;
	}

	footer .footer .whatsApp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		padding: 20px;
	}

	footer .footer .whatsApp a,
	footer .footer .whatsApp span {
		font-weight: 600;
		color: var(--whiteColor);
		text-decoration: none;
	}

	footer .footer .whatsApp a img {
		height: 25px;
		filter: brightness(0) invert(1);
	}

	footer .footer .social-medias {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
		padding: 20px;
	}

	footer .footer .social-medias a {
		color: var(--whiteColor);
		font-size: 20px;
		font-weight: 600;
	}
}